LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
GraphicCrop Struct Referencepublished

describes the cropping of graphic objects. More...

`import"GraphicCrop.idl";`

## Public Attributes
long | Top
| contains the top value to cut (if negative) or to extend (if positive) More...
long | Bottom
| contains the bottom value to cut (if negative) or to extend (if positive) More...
long | Left
| contains the left value to cut (if negative) or to extend (if positive) More...
long | Right
| contains the right value to cut (if negative) or to extend (if positive) More...

## Detailed Description

describes the cropping of graphic objects.

Cropping means to show only parts of the object.

Negative values cut the visible area; positive values extend the visible area by filling it with background color. The absolute sum of top and bottom crop must be smaller than the objects original height. The absolute sum of the left and right crop must be smaller than the object's original width.

If this property is applied to a graphic object, then this object will correct these values if necessary.

## Member Data Documentation

## ◆ Bottom

long Bottom

contains the bottom value to cut (if negative) or to extend (if positive)

## ◆ Left

long Left

contains the left value to cut (if negative) or to extend (if positive)

## ◆ Right

long Right

contains the right value to cut (if negative) or to extend (if positive)

## ◆ Top

long Top

contains the top value to cut (if negative) or to extend (if positive)

The documentation for this struct was generated from the following file:

- com/sun/star/text/GraphicCrop.idl